import React from 'react';
import styled from 'styled-components'

const Style = styled.div`
   path{
      fill: ${(props:any)=>props.active?"#007BB6 !important":"#AAAAAB !important"}
   } 
`

Person.propTypes = {
    active: false
};

export function Person(props: any) {
    return (
        <Style {...props}>
            <svg width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path
                    d="M5.91449 5.78043C6.70862 5.78043 7.39627 5.49561 7.95813 4.93366C8.51999 4.37181 8.80481 3.68434 8.80481 2.89012C8.80481 2.09618 8.51999 1.40862 7.95804 0.846585C7.39609 0.284819 6.70853 0 5.91449 0C5.12027 0 4.4328 0.284819 3.87094 0.846676C3.30908 1.40853 3.02417 2.09609 3.02417 2.89012C3.02417 3.68434 3.30908 4.3719 3.87103 4.93376C4.43298 5.49552 5.12054 5.78043 5.91449 5.78043Z"
                    fill="#007BB6"/>
                <path
                    d="M10.9718 9.22731C10.9556 8.99349 10.9228 8.73842 10.8745 8.46908C10.8258 8.19772 10.7631 7.94119 10.688 7.70672C10.6105 7.46438 10.505 7.22506 10.3747 6.99572C10.2393 6.75769 10.0804 6.55041 9.90207 6.37985C9.71558 6.20141 9.48724 6.05795 9.22321 5.95331C8.96008 5.84921 8.66849 5.79648 8.35657 5.79648C8.23407 5.79648 8.1156 5.84674 7.88681 5.9957C7.746 6.08752 7.5813 6.19372 7.39746 6.31119C7.24026 6.41134 7.02731 6.50519 6.76428 6.59015C6.50766 6.67318 6.2471 6.7153 5.98993 6.7153C5.73276 6.7153 5.47229 6.67318 5.21539 6.59015C4.95264 6.50528 4.73969 6.41144 4.58267 6.31128C4.40057 6.19491 4.23578 6.08871 4.09286 5.9956C3.86435 5.84665 3.74579 5.79639 3.62329 5.79639C3.31128 5.79639 3.01978 5.84921 2.75674 5.9534C2.49289 6.05786 2.26447 6.20132 2.07779 6.37994C1.89954 6.5506 1.74051 6.75778 1.60538 6.99572C1.4751 7.22506 1.36963 7.46429 1.29199 7.70681C1.21701 7.94128 1.1543 8.19772 1.10559 8.46908C1.05734 8.73806 1.02457 8.99321 1.00836 9.22759C0.992432 9.4572 0.984375 9.69551 0.984375 9.9362C0.984375 10.5626 1.1835 11.0697 1.57617 11.4437C1.96399 11.8128 2.47714 12 3.10117 12H8.87924C9.50327 12 10.0162 11.8128 10.4041 11.4437C10.7969 11.07 10.996 10.5628 10.996 9.93611C10.9959 9.69432 10.9878 9.45583 10.9718 9.22731Z"
                    fill="#007BB6"/>
            </svg>

        </Style>
    );
}

